Bug 982592 - Review Request: gnome-online-miners - Crawls through your online content
Review Request: gnome-online-miners - Crawls through your online content
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mathieu Bridon
Fedora Extras Quality Assurance
AcceptedBlocker
:
Depends On:
Blocks: F20AlphaBlocker
  Show dependency treegraph
 
Reported: 2013-07-09 07:25 EDT by Debarshi Ray
Modified: 2013-07-23 10:53 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-23 10:53:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bochecha: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Debarshi Ray 2013-07-09 07:25:31 EDT
Spec URL: http://rishi.fedorapeople.org/gnome-online-miners.spec
SRPM URL: http://rishi.fedorapeople.org/gnome-online-miners-3.9.4-1.fc19.src.rpm

Description:
GNOME Online Miners provides a set of crawlers that go through your online
content and index them locally in Tracker. It has miners for Flickr, Google
and SkyDrive.

Fedora Account System Username: rishi
Comment 1 Christopher Meng 2013-07-09 08:15:20 EDT
Just a suggestion:

Keep in one line of:

%doc AUTHORS
%doc COPYING
%doc ChangeLog
%doc README
Comment 2 Mathieu Bridon 2013-07-15 07:31:53 EDT
Package is almost good to go, just two trivial issues to fix and I'll approve it.


Summary
=======

[!]: Package consistently uses macro is (instead of hard-coded directory
     names).

    => Some included files are:
         %{_prefix}/libexec/gom-flickr-miner
         %{_prefix}/libexec/gom-gdata-miner
         %{_prefix}/libexec/gom-zpj-miner
       Please use %{_libexecdir} instead.

[!]: Final provides and requires are sane (see attachments).

    => As you told me on IRC, libgom-1.0.so is not a library for other
       packages to reuse, but purely an internal one (for code shared between
       the miners).
       Please filter it out from Provdes and Requires.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[!]: Package complies to the Packaging Guidelines

    => See other items for details.

[x]: License field in the package spec file matches the actual license.
[!]: Package consistently uses macro is (instead of hard-coded directory
     names).

    => Some included files are:
         %{_prefix}/libexec/gom-flickr-miner
         %{_prefix}/libexec/gom-gdata-miner
         %{_prefix}/libexec/gom-zpj-miner
       Please use %{_libexecdir} instead.

[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 51200 bytes in 4 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[-]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[-]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).

    => As you told me on IRC, libgom-1.0.so is not a library for other
       packages to reuse, but purely an internal one (for code shared between
       the miners).
       Please filter it out from Provdes and Requires.

[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gnome-online-miners-3.9.4-1.fc20.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint gnome-online-miners
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
gnome-online-miners (rpmlib, GLIBC filtered):
    dbus
    grilo-plugins
    libc.so.6()(64bit)
    libgdata.so.13()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgmodule-2.0.so.0()(64bit)
    libgoa-1.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgom-1.0.so()(64bit)
    libgrilo-0.2.so.1()(64bit)
    libjson-glib-1.0.so.0()(64bit)
    libpthread.so.0()(64bit)
    librest-0.7.so.0()(64bit)
    libsoup-2.4.so.1()(64bit)
    libtracker-miner-0.16.so.0()(64bit)
    libtracker-sparql-0.16.so.0()(64bit)
    libxml2.so.2()(64bit)
    libzapojit-0.0.so.0()(64bit)
    rtld(GNU_HASH)



Provides
--------
gnome-online-miners:
    gnome-online-miners
    gnome-online-miners(x86-64)
    libgom-1.0.so()(64bit)



Unversioned so-files
--------------------
gnome-online-miners: /usr/lib64/gnome-online-miners/libgom-1.0.so

Source checksums
----------------
http://download.gnome.org/sources/gnome-online-miners/3.9/gnome-online-miners-3.9.4.tar.xz :
  CHECKSUM(SHA256) this package     : 6294c9adb697a8c3af0ad8ab41d3f0cc7d8a509d95955e599fbd8a9c4078be28
  CHECKSUM(SHA256) upstream package : 6294c9adb697a8c3af0ad8ab41d3f0cc7d8a509d95955e599fbd8a9c4078be28


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 982592 -m fedora-rawhide-x86_64
Comment 3 Debarshi Ray 2013-07-19 06:19:27 EDT
(In reply to Mathieu Bridon from comment #2)

Spec: http://rishi.fedorapeople.org/gnome-online-miners.spec
SRPM: http://rishi.fedorapeople.org/gnome-online-miners-3.9.4-2.fc19.src.rpm

> [!]: Package consistently uses macro is (instead of hard-coded directory
>      names).
> 
>     => Some included files are:
>          %{_prefix}/libexec/gom-flickr-miner
>          %{_prefix}/libexec/gom-gdata-miner
>          %{_prefix}/libexec/gom-zpj-miner
>        Please use %{_libexecdir} instead.

Fixed.

> [!]: Final provides and requires are sane (see attachments).
> 
>     => As you told me on IRC, libgom-1.0.so is not a library for other
>        packages to reuse, but purely an internal one (for code shared between
>        the miners).
>        Please filter it out from Provdes and Requires.

Fixed.
Comment 4 Mathieu Bridon 2013-07-19 06:50:55 EDT
(In reply to Debarshi Ray from comment #3)
> (In reply to Mathieu Bridon from comment #2)
> 
> Spec: http://rishi.fedorapeople.org/gnome-online-miners.spec
> SRPM: http://rishi.fedorapeople.org/gnome-online-miners-3.9.4-2.fc19.src.rpm
> 
> > [!]: Package consistently uses macro is (instead of hard-coded directory
> >      names).
> > 
> >     => Some included files are:
> >          %{_prefix}/libexec/gom-flickr-miner
> >          %{_prefix}/libexec/gom-gdata-miner
> >          %{_prefix}/libexec/gom-zpj-miner
> >        Please use %{_libexecdir} instead.
> 
> Fixed.

Confirmed.

> > [!]: Final provides and requires are sane (see attachments).
> > 
> >     => As you told me on IRC, libgom-1.0.so is not a library for other
> >        packages to reuse, but purely an internal one (for code shared between
> >        the miners).
> >        Please filter it out from Provdes and Requires.
> 
> Fixed.

Unfortunately, you've only filtered it out from Provides, not from Requires.

As a result, the package can't be installed now. :-/
Comment 5 Debarshi Ray 2013-07-19 07:56:47 EDT
Spec: http://rishi.fedorapeople.org/gnome-online-miners.spec
SRPM: http://rishi.fedorapeople.org/gnome-online-miners-3.9.4-3.fc19.src.rpm

Oops sorry about that. I should be careful about using "rpm --force -Uvh ...". :-/
Comment 6 Mathieu Bridon 2013-07-21 22:13:16 EDT
Looks good now, package is approved.
Comment 7 Debarshi Ray 2013-07-22 11:52:39 EDT
New Package SCM Request
=======================
Package Name: gnome-online-miners
Short Description: Crawls through your online content
Owners: rishi
Branches:
InitialCC:
Comment 8 Gwyn Ciesla 2013-07-22 11:54:08 EDT
Git done (by process-git-requests).
Comment 9 Adam Williamson 2013-07-22 12:34:33 EDT
Just for the record, the arrival of this package is an F20 Alpha blocker, as new gnome-photos and gnome-documents depend on it and so neither the live images nor DVD will compose until it's available. Setting as accepted blocker per the https://fedoraproject.org/wiki/QA:SOP_blocker_bug_process#Automatic_blockers policy : "Bugs which entirely prevent the composition of one or more of the release-blocking images required to be built for a currently-pending (pre-)release"
Comment 10 Debarshi Ray 2013-07-23 10:53:12 EDT
Built for F20.

Note You need to log in before you can comment on or make changes to this bug.